Debian Bug report logs - #458578
uses pseudo-hashes, fails with perl 5.10

version graph

Package: libxml-encoding-perl; Maintainer for libxml-encoding-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libxml-encoding-perl is src:libxml-encoding-perl.

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 1 Jan 2008 20:39:01 UTC

Severity: important

Tags: patch

Found in version 1.01

Fixed in version libxml-encoding-perl/2.01-1

Done: Ardo van Rangelrooij <ardo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#458578; Package libxml-encoding-perl. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: uses pseudo-hashes, fails with perl 5.10
Date: Tue, 1 Jan 2008 15:23:34 -0500
[Message part 1 (text/plain, inline)]
Package: libxml-encoding-perl
Version: 1.01
Severity: important
Tags: patch

Perl 5.10 removes the deprecated pseudo-hashes, but this package still
uses them, in the compile_encoding program, line 38.

Symptom:

% compile_encoding /usr/share/libxml-encoding-perl/iso-8859-6.xml -o ./foo 
Not a HASH reference at /usr/bin/compile_encoding line 42.
zsh: exit 255   compile_encoding /usr/share/libxml-encoding-perl/iso-8859-6.xml -o./ foo

Fix:

--- /usr/bin/compile_encoding   2008-01-01 15:01:12.000000000 -0500
+++ ./compile_encoding  2008-01-01 15:18:35.000000000 -0500
@@ -33,9 +33,10 @@
 use fields qw(min max map explen);
 
 sub new {
-  my $class = shift;
-  no strict 'refs';
-  my $pfxmap = [\%{"${class}::FIELDS"}];
+  my Pfxmap $pfxmap = shift;
+  unless (ref $pfxmap) {
+         $pfxmap = fields::new($pfxmap);
+  }
 
   while (@_) {
     my $key = shift;

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ardo van Rangelrooij <ardo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 458578-close@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: 458578-close@bugs.debian.org
Subject: Bug#458578: fixed in libxml-encoding-perl 2.01-1
Date: Fri, 04 Jan 2008 22:32:05 +0000
Source: libxml-encoding-perl
Source-Version: 2.01-1

We believe that the bug you reported is fixed in the latest version of
libxml-encoding-perl, which is due to be installed in the Debian FTP archive:

libxml-encoding-perl_2.01-1.diff.gz
  to pool/main/libx/libxml-encoding-perl/libxml-encoding-perl_2.01-1.diff.gz
libxml-encoding-perl_2.01-1.dsc
  to pool/main/libx/libxml-encoding-perl/libxml-encoding-perl_2.01-1.dsc
libxml-encoding-perl_2.01-1_all.deb
  to pool/main/libx/libxml-encoding-perl/libxml-encoding-perl_2.01-1_all.deb
libxml-encoding-perl_2.01.orig.tar.gz
  to pool/main/libx/libxml-encoding-perl/libxml-encoding-perl_2.01.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458578@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ardo van Rangelrooij <ardo@debian.org> (supplier of updated libxml-encoding-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 04 Jan 2008 16:07:15 -0600
Source: libxml-encoding-perl
Binary: libxml-encoding-perl
Architecture: source all
Version: 2.01-1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Ardo van Rangelrooij <ardo@debian.org>
Description: 
 libxml-encoding-perl - Perl module for parsing encoding map XML files
Closes: 410942 458578
Changes: 
 libxml-encoding-perl (2.01-1) unstable; urgency=low
 .
   * New upstream release
     * fixes bin/compile_encoding to use restricted hashes iso pseudo-hashes
       (closes: Bug#458578)
   * debian/control:
     * upgraded to Debian Policy 3.7.3 (no changes)
     * added Vcs-Browser and Vcs-Cvs fields
   * The previous upload already moved the scripts from the examples directory
     to /usr/bin, hence the associated bug report should have been closed
     (closes: Bug#410942)
Files: 
 0fba9963eaa85fadb8dc1ed36a63a38a 1081 perl optional libxml-encoding-perl_2.01-1.dsc
 77e13ac61218a7b2979cce7bd5c38efc 191467 perl optional libxml-encoding-perl_2.01.orig.tar.gz
 1bce6b5dd2c68cfc8c808db22d6a70be 5712 perl optional libxml-encoding-perl_2.01-1.diff.gz
 1e20a95b2574f9e155b8b6ccd5458640 176550 perl optional libxml-encoding-perl_2.01-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR36uYj6XMRfcxSjpAQJQ8gQAxhSkcdj82shCZA8ufDL//YhBPPcOm32E
p0aP8EIlWTLbIUKxF97P6ghPR0AbDZrU+/cPQ2JgNo65LM5ikDztgleq881fJ2LY
dCGAUSyVD0kb6PfrWurCBJ+AdpRTdwFfvwqDbbSJmnzFeN4QshbX3JQwjR3s6gNb
dQBFTbZHzMs=
=eifI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Feb 2008 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:18:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.